ICU 78.3 78.3

Data Structures | Namespaces | Typedefs
bytestream.h File Reference

C++ API: Interface for writing bytes, and implementation classes. More...

`#include "unicode/utypes.h"`
`#include <type_traits>`
`#include "unicode/uobject.h"`
`#include "unicode/std_string.h"`

Go to the source code of this file.

## Data Structures
class | icu::ByteSink
| A ByteSink can be filled with bytes. More...
class | icu::CheckedArrayByteSink
| Implementation of ByteSink that writes to a flat byte array, with bounds-checking: This sink will not write more than capacity bytes to outbuf. More...
struct | icu::prv::value_type_or_char< StringClass, typename >
struct | icu::prv::value_type_or_char< StringClass, std::void_t< typename StringClass::value_type > >
class | icu::StringByteSink< StringClass >
| Implementation of ByteSink that writes to a "string". More...

## Namespaces
| icu
| File coll.h.

## Typedefs
template<typename StringClass >
using | icu::prv::value_type_or_char_t = typename value_type_or_char< StringClass >::type

## Detailed Description

C++ API: Interface for writing bytes, and implementation classes.

Definition in file bytestream.h.

## Typedef Documentation

## ◆ value_type_or_char_t

template<typename StringClass >

using icu::prv::value_type_or_char_t = typedef typename value_type_or_char<StringClass>::type

Internal:
  Do not use.

This API is for internal use only.

Definition at line 278 of file bytestream.h.